org.jboss.netty.channel.socket

## Interface DatagramChannelFactory

All Superinterfaces:
  ChannelFactory, ExternalResourceReleasable

All Known Implementing Classes:
  NioDatagramChannelFactory, OioDatagramChannelFactory

    public interface DatagramChannelFactory
    extends ChannelFactory

A `ChannelFactory` which creates a `DatagramChannel`.

### Method Summary

Methods
`DatagramChannel` `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

### Methods inherited from interface org.jboss.netty.channel.ChannelFactory

`releaseExternalResources`

### Method Detail

#### newChannel

    DatagramChannel newChannel(ChannelPipeline pipeline)

Description copied from interface: `ChannelFactory`
Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

Specified by:
  `newChannel` in interface `ChannelFactory`
Parameters:
  `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
Returns:
  the newly open channel